ToDoApp.PL.WebPL/ViewComponents/CreateListViewComponent.cs
using Microsoft.AspNetCore.Mvc;
using ToDoApp.PL.WebPL.Models.ToDoList;

namespace ToDoApp.PL.WebPL.ViewComponents
{
    public class CreateListViewComponent : ViewComponent
    {
        public IViewComponentResult Invoke()
        {
            return View(new CreateToDoListVM());
        }
    }
}

ToDoApp.PL.WebPL/ViewComponents/DisplayListsViewComponent.cs
using AutoMapper;
using Microsoft.AspNetCore.Mvc;
using ToDoApp.BLL.Interfaces;
using ToDoApp.Entities;
using ToDoApp.PL.WebPL.Models.ToDoList;

namespace ToDoApp.PL.WebPL.ViewComponents
{
    public class DisplayListsViewComponent : ViewComponent
    {
        public IViewComponentResult Invoke(IEnumerable<DisplayToDoListVM> listsVM)
        {
            return View(listsVM);
        }
    }
}

ToDoApp.PL.WebPL/ViewComponents/DisplayTasksViewComponent.cs
using Microsoft.AspNetCore.Mvc;
using ToDoApp.PL.WebPL.Models.ToDoTaskVM;

namespace ToDoApp.PL.WebPL.ViewComponents
{
    public class DisplayTasksViewComponent : ViewComponent
    {
        public IViewComponentResult Invoke(IEnumerable<DisplayToDoTaskVM> tasksVM)
        {
            return View(tasksVM);
        }
    }
}

ToDoApp.PL.WebPL/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - ToDoApp.PL.WebPL</title>
    <link rel="stylesheet" href="~/css/site.css" asp-append-version="true" />
</head>
<body>
    <header>
        <div class="container">
            <a href="/">
                <h3 class="logo">ToDoList</h3>
            </a>
        </div>
    </header>
    <main>
         <div class="screen">
            @RenderBody()
         </div>
    </main>
</body>
</html>

ToDoApp.PL.WebPL/Views/Shared/_LayoutEdit.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="~/css/site.css">
    <title>@ViewData["Title"]</title>
</head>
<body>
    <header>
        <div class="container">
            <a href="/">
                <h3 class="logo">ToDoList</h3>
            </a>
        </div>
    </header>
    <main>
        <div class="container">
            <h2>@ViewData["Title"]</h2>
            <div class="block-form">
                @RenderBody()
            </div>
        </div>
    </main>
</body>
</html>

ToDoApp.PL.WebPL/Views/Shared/_LayoutLists.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - ToDoApp.PL.WebPL</title>
    <link rel="stylesheet" href="~/css/site.css" asp-append-version="true" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>
<body>
    <header>
        <div class="container">
            <a href="/">
                <h3 class="logo">ToDoList</h3>
            </a>
        </div>
    </header>
    <main>
         <div class="screen">
             <div class="list-menu">
                @await Component.InvokeAsync("DisplayLists", new {listsVM = ViewData["listsVM"]})
                @await Component.InvokeAsync("CreateList")
             </div>
             @RenderBody()
         </div>
    </main>
</body>
</html>

ToDoApp.PL.WebPL/Views/Shared/_LayoutTasks.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - ToDoApp.PL.WebPL</title>
    <link rel="stylesheet" href="~/css/site.css" asp-append-version="true" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>
<body>
    <header>
        <div class="container">
            <a href="/">
                <h3 class="logo">ToDoList</h3>
            </a>
        </div>
    </header>
    <main>
         <div class="screen">
             <div class="list-menu">
                @await Component.InvokeAsync("DisplayTasks", new {tasksVM = ViewData["tasksVM"]})
             </div>
             @RenderBody()
         </div>
    </main>
</body>
</html>